#include "classifier.h"
#include "weak_classifier.h"
#include "esemble_of_classifiers.h"
#include <string>
#include <iostream>
#include <boost/random.hpp>
#include "time.h"


int main()
{
	using namespace Classifier;

	typedef bool Category;
	typedef std::vector<int> Data;

	classifier<Category, Data > * classifierPTR;

	double random_noise;
	static boost::minstd_rand gen; 
	gen.seed(0x1234567);

	int data[] = {111, 112, 123, 134};
	int size = sizeof( data ) / sizeof( data[0] );
	Data testData(data, &data[ size ]);

	for (unsigned int j = 0 ; j < 100; j++)
	{
		random_noise = (1.0 * gen() / gen.max());
		classifierPTR = new weak_classifier<Category, Data > (random_noise, 0.2);
		bool category =	classifierPTR->classify( testData );
		std::cout << "Category is " << category << std::endl;
		delete classifierPTR;
	}

	std::string s;
	std::cin >> s;
}